# Interface GradleBuild

All Superinterfaces:
  `BuildModel, Model`

@Incubating public interface GradleBuild extends Model, BuildModel
Provides information about the structure of a Gradle build.

Since:
  1.8

## Method Summary

Modifier and Type
Method
Description
`BuildIdentifier`
`getBuildIdentifier()`
Returns the identifier for this Gradle build.
`DomainObjectSet<? extends GradleBuild>`
`getIncludedBuilds()`
Returns the builds that were included into this one.
`DomainObjectSet<? extends BasicGradleProject>`
`getProjects()`
Returns the set of all projects for this build.
`BasicGradleProject`
`getRootProject()`
Returns the root project for this build.

## Method Details

### getBuildIdentifier

@Incubating BuildIdentifier getBuildIdentifier()
Returns the identifier for this Gradle build.

Specified by:
  `getBuildIdentifier` in interface `BuildModel`
Since:
  2.13

### getRootProject

BasicGradleProject getRootProject()
Returns the root project for this build.

Returns:
  The root project

### getProjects

DomainObjectSet<? extends BasicGradleProject> getProjects()
Returns the set of all projects for this build.

Returns:
  The set of all projects.

### getIncludedBuilds

@Incubating DomainObjectSet<? extends GradleBuild> getIncludedBuilds()
Returns the builds that were included into this one.

Since:
  3.3